Bug 1025369 - Review Request: bugwarrior - Sync github, bitbucket, and trac issues with taskwarrior
Review Request: bugwarrior - Sync github, bitbucket, and trac issues with tas...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-YvesChibon
:
Depends On: 1025292 1025368
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-31 10:44 EDT by Ralph Bean
Modified: 2014-09-17 03:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-22 21:51:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pingou: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-10-31 10:44:29 EDT
Spec URL: http://ralph.fedorapeople.org//bugwarrior.spec
SRPM URL: http://ralph.fedorapeople.org//bugwarrior-0.6.1-1.fc19.src.rpm

Description:
bugwarrior is a command line utility for updating your local taskwarrior
database from your forge issue trackers.

It currently supports pulling issues from github, bitbucket, trac, bugzilla,
megaplan, teamlab, redmine, jira, and activecollab
Comment 1 Pierre-YvesChibon 2013-11-12 09:20:16 EST
Ok there is the same remarks as for the previous reviews about the macro %{python_sitelib2}

* Spec is clean
* License is clean and is GPLv3+
* Builds fine on Fedora 19 x86_64
* Content is clean
* Upstream source:
1e3cbc2b4921cc50a0946f1979c5b16e0807b8e3  bugwarrior-0.6.1.tar.gz
* srpm source:
1e3cbc2b4921cc50a0946f1979c5b16e0807b8e3  bugwarrior-0.6.1-1.fc19.src/bugwarrior-0.6.1.tar.gz

* No bundling seen

* rpmlint has mostly false-positive, only:
bugwarrior.noarch: W: dangling-relative-symlink /usr/share/doc/bugwarrior-0.6.1/README.rst bugwarrior/README.rst
 might be worth fixing.

$ rpmlint bugwarrior-0.6.1-1.fc19.noarch.rpm bugwarrior-0.6.1-1.fc19.src.rpm 
bugwarrior.noarch: W: spelling-error Summary(en_US) github -> git hub, git-hub, thuggish
bugwarrior.noarch: W: spelling-error Summary(en_US) bitbucket -> bit bucket, bit-bucket, bucket
bugwarrior.noarch: W: spelling-error Summary(en_US) trac -> trace, tract, track
bugwarrior.noarch: W: spelling-error Summary(en_US) taskwarrior -> task warrior, task-warrior, warrior
bugwarrior.noarch: W: spelling-error %description -l en_US taskwarrior -> task warrior, task-warrior, warrior
bugwarrior.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
bugwarrior.noarch: W: spelling-error %description -l en_US bitbucket -> bit bucket, bit-bucket, bucket
bugwarrior.noarch: W: spelling-error %description -l en_US trac -> trace, tract, track
bugwarrior.noarch: W: spelling-error %description -l en_US bugzilla -> Bugzilla
bugwarrior.noarch: W: spelling-error %description -l en_US megaplan -> mega plan, mega-plan, megaphone
bugwarrior.noarch: W: spelling-error %description -l en_US teamlab -> team lab, team-lab, teammate
bugwarrior.noarch: W: spelling-error %description -l en_US redmine -> red mine, red-mine, refined
bugwarrior.noarch: W: spelling-error %description -l en_US jira -> lira, Mira, Ira
bugwarrior.noarch: W: spelling-error %description -l en_US activecollab -> collaborative, collective
bugwarrior.noarch: W: dangling-relative-symlink /usr/share/doc/bugwarrior-0.6.1/README.rst bugwarrior/README.rst
bugwarrior.noarch: W: no-manual-page-for-binary bugwarrior-pull
bugwarrior.src: W: spelling-error Summary(en_US) github -> git hub, git-hub, thuggish
bugwarrior.src: W: spelling-error Summary(en_US) bitbucket -> bit bucket, bit-bucket, bucket
bugwarrior.src: W: spelling-error Summary(en_US) trac -> trace, tract, track
bugwarrior.src: W: spelling-error Summary(en_US) taskwarrior -> task warrior, task-warrior, warrior
bugwarrior.src: W: spelling-error %description -l en_US taskwarrior -> task warrior, task-warrior, warrior
bugwarrior.src: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
bugwarrior.src: W: spelling-error %description -l en_US bitbucket -> bit bucket, bit-bucket, bucket
bugwarrior.src: W: spelling-error %description -l en_US trac -> trace, tract, track
bugwarrior.src: W: spelling-error %description -l en_US bugzilla -> Bugzilla
bugwarrior.src: W: spelling-error %description -l en_US megaplan -> mega plan, mega-plan, megaphone
bugwarrior.src: W: spelling-error %description -l en_US teamlab -> team lab, team-lab, teammate
bugwarrior.src: W: spelling-error %description -l en_US redmine -> red mine, red-mine, refined
bugwarrior.src: W: spelling-error %description -l en_US jira -> lira, Mira, Ira
bugwarrior.src: W: spelling-error %description -l en_US activecollab -> collaborative, collective
2 packages and 0 specfiles checked; 0 errors, 30 warnings.



No EPEL6 branch possible because some of the dependencies are not compatible.

The only thing is that apparently a version 0.6.3 is out, could you fix the symbolic link, the macro and update to the latest version before I approve this package?
Comment 2 Ralph Bean 2013-11-12 10:03:27 EST
Update here with:
- latest version
- fixed symbolic link
- updated python2_sitelib macro

Spec URL:  http://threebean.org/rpm/bugwarrior.spec
SRPM URL:  http://threebean.org/rpm/bugwarrior-0.6.3-1.fc19.src.rpm
Comment 3 Pierre-YvesChibon 2013-11-12 10:44:23 EST
* upstream sources:
$ sha1sum bugwarrior-0.6.3.tar.gz 
92807519876816dc24f660fd36335b1fd05cf995  bugwarrior-0.6.3.tar.gz
* package sources:
$ sha1sum bugwarrior-0.6.3-1.fc19.src/bugwarrior-0.6.3.tar.gz
92807519876816dc24f660fd36335b1fd05cf995  bugwarrior-0.6.3-1.fc19.src/bugwarrior-0.6.3.tar.gz

* rpmlint cleaner.

$ rpmlint bugwarrior-0.6.3-1.fc19.noarch.rpm bugwarrior-0.6.3-1.fc19.src.rpm
bugwarrior.noarch: W: spelling-error Summary(en_US) github -> git hub, git-hub, thuggish
bugwarrior.noarch: W: spelling-error Summary(en_US) bitbucket -> bit bucket, bit-bucket, bucket
bugwarrior.noarch: W: spelling-error Summary(en_US) trac -> trace, tract, track
bugwarrior.noarch: W: spelling-error Summary(en_US) taskwarrior -> task warrior, task-warrior, warrior
bugwarrior.noarch: W: spelling-error %description -l en_US taskwarrior -> task warrior, task-warrior, warrior
bugwarrior.noarch: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
bugwarrior.noarch: W: spelling-error %description -l en_US bitbucket -> bit bucket, bit-bucket, bucket
bugwarrior.noarch: W: spelling-error %description -l en_US trac -> trace, tract, track
bugwarrior.noarch: W: spelling-error %description -l en_US bugzilla -> Bugzilla
bugwarrior.noarch: W: spelling-error %description -l en_US megaplan -> mega plan, mega-plan, megaphone
bugwarrior.noarch: W: spelling-error %description -l en_US teamlab -> team lab, team-lab, teammate
bugwarrior.noarch: W: spelling-error %description -l en_US redmine -> red mine, red-mine, refined
bugwarrior.noarch: W: spelling-error %description -l en_US jira -> lira, Mira, Ira
bugwarrior.noarch: W: spelling-error %description -l en_US activecollab -> collaborative, collective
bugwarrior.noarch: W: no-manual-page-for-binary bugwarrior-pull
bugwarrior.src: W: spelling-error Summary(en_US) github -> git hub, git-hub, thuggish
bugwarrior.src: W: spelling-error Summary(en_US) bitbucket -> bit bucket, bit-bucket, bucket
bugwarrior.src: W: spelling-error Summary(en_US) trac -> trace, tract, track
bugwarrior.src: W: spelling-error Summary(en_US) taskwarrior -> task warrior, task-warrior, warrior
bugwarrior.src: W: spelling-error %description -l en_US taskwarrior -> task warrior, task-warrior, warrior
bugwarrior.src: W: spelling-error %description -l en_US github -> git hub, git-hub, thuggish
bugwarrior.src: W: spelling-error %description -l en_US bitbucket -> bit bucket, bit-bucket, bucket
bugwarrior.src: W: spelling-error %description -l en_US trac -> trace, tract, track
bugwarrior.src: W: spelling-error %description -l en_US bugzilla -> Bugzilla
bugwarrior.src: W: spelling-error %description -l en_US megaplan -> mega plan, mega-plan, megaphone
bugwarrior.src: W: spelling-error %description -l en_US teamlab -> team lab, team-lab, teammate
bugwarrior.src: W: spelling-error %description -l en_US redmine -> red mine, red-mine, refined
bugwarrior.src: W: spelling-error %description -l en_US jira -> lira, Mira, Ira
bugwarrior.src: W: spelling-error %description -l en_US activecollab -> collaborative, collective
2 packages and 0 specfiles checked; 0 errors, 29 warnings.


Thanks for the update, this package is APPROVED
Comment 4 Ralph Bean 2013-11-12 10:46:34 EST
New Package SCM Request
=======================
Package Name: bugwarrior
Short Description: Sync github, bitbucket, and trac issues with taskwarrior
Owners: ralph
Branches: f20 f19 f18
InitialCC:
Comment 5 Gwyn Ciesla 2013-11-12 11:02:28 EST
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-11-12 16:59:00 EST
bugwarrior-0.6.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bugwarrior-0.6.3-1.fc20
Comment 7 Fedora Update System 2013-11-12 16:59:17 EST
bugwarrior-0.6.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/bugwarrior-0.6.3-1.fc19
Comment 8 Fedora Update System 2013-11-12 16:59:38 EST
bugwarrior-0.6.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/bugwarrior-0.6.3-1.fc18
Comment 9 Fedora Update System 2013-12-03 05:34:13 EST
bugwarrior-0.6.3-1.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-12-03 05:34:24 EST
bugwarrior-0.6.3-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-12-13 21:51:13 EST
bugwarrior-0.6.3-1.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Ralph Bean 2014-09-16 17:56:39 EDT
Package Change Request
======================
Package Name: bugwarrior
New Branches: epel7
Owners: ralph
Comment 13 Jens Petersen 2014-09-17 03:03:28 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.